commit fd732eee98b63d957e5a5f5a85ebc2813cdc5c86
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Sep 1 00:16:59 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index de3bf8cc6e6..2f19ed334fd 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,17 @@
+2020-08-31  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/96854
+	* tree-vect-loop.c (vectorizable_live_operation): Disallow
+	SLP_TREE_TWO_OPERATORS nodes.
+
+2020-08-31  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/96551
+	* config/i386/sse.md (vec_unpacku_float_hi_v16si): For vector
+	compare to integer mask, don't use gen_rtx_LT, use
+	ix86_expand_mask_vec_cmp instead.
+	(vec_unpacku_float_hi_v16si): Ditto.
+
 2020-08-28  Uros Bizjak    <ubizjak@gmail.com>
 
 	PR target/96744
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 3db40e0a817..25aba91f392 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200831
+20200901
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index a8618488f0c..bf2c72b4f60 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2020-08-31  Tobias Burnus  <tobias@codesourcery.com>
+
+	Backported from master:
+	2020-08-28  Tobias Burnus  <tobias@codesourcery.com>
+
+	PR fortran/94672
+	* trans-array.c (gfc_trans_g77_array): Check against the parm decl and
+	set the nonparm decl used for the is-present check to NULL if absent.
+
 2020-08-27  Mark Eggleston  <markeggleston@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 463c0a742a4..52c1db50adf 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,21 @@
+2020-08-31  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/96854
+	* gcc.dg/vect/pr96854.c: New testcase.
+
+2020-08-31  liuhongt  <hongtao.liu@intel.com>
+
+	* gcc.target/i386/avx512f-pr96551-1.c: New test.
+	* gcc.target/i386/avx512f-pr96551-2.c: New test.
+
+2020-08-31  Tobias Burnus  <tobias@codesourcery.com>
+
+	Backported from master:
+	2020-08-28  Tobias Burnus  <tobias@codesourcery.com>
+
+	PR fortran/94672
+	* gfortran.dg/optional_assumed_charlen_2.f90: New test.
+
 2020-08-30  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:

